
Redmine - Defect #41828

In mobile view, delete relation svg icon in 'Related Issues' on an issue page, overflow text

2024-11-22 18:25 - pasquale [:dedalus]

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 5.1.8   

Resolution: Fixed Affected version:  

Description

Accessing Redmine from mobile device, when text of the subject of a related issue is too long or when the first word of a related

issue is too long, the 'delete relation' SVG icon overflow the text.

See attached screenshot.

It affects 6.0.1 release.

Related issues:

Related to Redmine - Feature #42477: Configurable columns for the lists of ch... Closed

Associated revisions

Revision 23658 - 2025-04-15 08:23 - Marius BĂLTEANU

Prevent delete relation icon overflow with long related issue subjects on related issues sections on an issue page in mobile view (#41828).

Revision 23664 - 2025-04-17 08:53 - Marius BĂLTEANU

Merge r23658 from trunk to 6.0-stable (#41828).

Revision 23665 - 2025-04-17 10:23 - Marius BĂLTEANU

Backport r23658 from trunk to 5.1-stable (#41828).

History

#1 - 2024-11-29 18:00 - Marius BĂLTEANU

- Target version set to 6.0.2

#2 - 2024-12-09 01:23 - Marius BĂLTEANU

- File clipboard-202412090222-arpae.png added

- Target version changed from 6.0.2 to 6.0.3

I'm postponing the fix because the problem exists before Redmine 6.0:

 clipboard-202412090222-arpae.png 

#3 - 2025-01-28 00:37 - Go MAEDA

- Target version changed from 6.0.3 to 6.0.4

#4 - 2025-03-02 08:39 - Go MAEDA

- Target version changed from 6.0.4 to 6.0.5

#5 - 2025-04-07 22:30 - Marius BĂLTEANU

The issue reproduces also after #42477. A quick fix is the following:

diff --git a/app/assets/stylesheets/responsive.css b/app/assets/stylesheets/responsive.css

index ec580037c..f8febc890 100644

--- a/app/assets/stylesheets/responsive.css

+++ b/app/assets/stylesheets/responsive.css

@@ -771,6 +771,10 @@

     width: 100%; /* let subject have one full width column */

   }

2025-05-02 1/2

https://www.redmine.org/issues/42477


+  #issue_tree .issue:has(.buttons) > td.subject, #relations .issue:has(.buttons) > td.subject {

+    padding-right: 40px;

+  }

+

   #issue_tree .issue > td:not(.subject), #relations .issue > td:not(.subject) {

     width: 20%; /* three columns for all cells that are not subject */

   }

#6 - 2025-04-07 22:30 - Marius BĂLTEANU

- Related to Feature #42477: Configurable columns for the lists of child and related issues added

#7 - 2025-04-15 08:23 - Marius BĂLTEANU

- Status changed from New to Resolved

- Assignee set to Marius BĂLTEANU

- Resolution set to Fixed

Fix committed, thanks!

#8 - 2025-04-17 10:27 - Marius BĂLTEANU

- Status changed from Resolved to Closed

#9 - 2025-04-17 11:44 - Marius BĂLTEANU

- Target version changed from 6.0.5 to 5.1.8
